<template>
	<div class="content__leftAnalitika">
		<div class="box-account--top">
			<div class="account-link-element wow fadeInLeft">
				<div class="box-img">
					<img src="/img/file1.png" alt="">
				</div>
				<p class="text-bold">{{ $t('promos.main.monitoring.title') }}</p>
				<a class="text-blue">{{ $t('promos.main.monitoring.subtitle') }}</a>
				<p class="text-p">{{ $t('promos.main.monitoring.text') }}</p>
				<router-link :to="route('promos_type', {type: 'monitoring'})" class="link-go">
					{{ $t('ui.choose') }}
					<svg>
						<use xlink:href="/img/sprite.svg#long-arrow-pointing-to-the-right"/>
					</svg>
				</router-link>
			</div>
			<div class="account-link-element wow fadeInLeft">
				<div class="box-img">
					<img src="/img/file2.png" alt="">
				</div>
				<p class="text-bold">{{ $t('promos.main.blog.title') }}</p>
				<a class="text-blue">{{ $t('promos.main.blog.subtitle') }}</a>
				<p class="text-p">{{ $t('promos.main.blog.text') }}</p>
				<router-link :to="route('promos_type', {type: 'blog'})" class="link-go">
					{{ $t('ui.choose') }}
					<svg>
						<use xlink:href="/img/sprite.svg#long-arrow-pointing-to-the-right"/>
					</svg>
				</router-link>
			</div>
			<div class="account-link-element wow fadeInLeft">
				<div class="box-img">
					<img src="/img/file3.png" alt="">
				</div>
				<p class="text-bold">{{ $t('promos.main.banner.title') }}</p>
				<a class="text-blue">{{ $t('promos.main.banner.subtitle') }}</a>
				<p class="text-p">{{ $t('promos.main.banner.text') }}</p>
				<router-link :to="route('promos_type', {type: 'banner'})" class="link-go">
					{{ $t('ui.choose') }}
					<svg>
						<use xlink:href="/img/sprite.svg#long-arrow-pointing-to-the-right"/>
					</svg>
				</router-link>
			</div>
			<div class="account-link-element wow fadeInLeft">
				<div class="box-img">
					<img src="/img/file4.png" alt="">
				</div>
				<p class="text-bold">{{ $t('promos.main.youtube_blog.title') }} </p>
				<a class="text-blue">{{ $t('promos.main.youtube_blog.subtitle') }}</a>
				<p class="text-p">{{ $t('promos.main.youtube_blog.text') }}</p>
				<router-link :to="route('promos_type', {type: 'video'})" class="link-go">
					{{ $t('ui.choose') }}
					<svg>
						<use xlink:href="/img/sprite.svg#long-arrow-pointing-to-the-right"/>
					</svg>
				</router-link>
			</div>
		</div>
		<div class="box-account-center wow fadeInUp">
			<div class="center-flex">
				<p class="text-bold">{{ $t('promos.main.title') }}</p>
				<p class="text-grey">{{ $t('promos.main.total') }}</p>
			</div>
			<div class="center-flex">
				<p class="text-greyO">{{ $t('promos.main.subtitle') }}</p>
				<p class="text-blue-bold">$ {{ stats.budget.invested | formatAmount }}</p>
			</div>
		</div>
		<div class="box-sort">
			<div class="left-sort-text">
				<svg>
					<use xlink:href="/img/sprite.svg#sort-button-with-three-lines"></use>
				</svg>
				{{ $t('promos.main.sort') }}
			</div>
			<div class="btn-flex-link">
				<a href="#" class="all-click link-element wow fadeInRight"
				   :class="filterActiveClass('')"
				   @click.prevent="filter = ''">
					{{ $t('promos.main.filters.all') }}
				</a>
				<a href="#" class="mon-click link-element wow fadeInRight"
				   :class="filterActiveClass('monitoring')"
				   @click.prevent="filter = 'monitoring'">
					{{ $t('promos.main.filters.monitoring') }}
				</a>
				<a href="#" class="blog-click link-element wow fadeInRight"
				   :class="filterActiveClass('blog')"
				   @click.prevent="filter = 'blog'">
					{{ $t('promos.main.filters.blog') }}
				</a>
				<a href="#" class="banner-click link-element wow fadeInRight"
				   :class="filterActiveClass('banner')"
				   @click.prevent="filter = 'banner'">
					{{ $t('promos.main.filters.banner') }}
				</a>
				<a href="#" class="youtube-click link-element wow fadeInRight"
				   :class="filterActiveClass('video')"
				   @click.prevent="filter = 'video'">
					{{ $t('promos.main.filters.youtube') }}
				</a>
			</div>
		</div>
		<all-promos-table :filter="filter"/>
	</div>
</template>

<script>
import AllPromosTable from "../components/promos/AllPromosTable";
import route from "../mixins/route";
import {mapGetters} from "vuex";
import currencies from "../currencies";

export default {
	name: "Promos",
	mixins: [route],
	data() {
		return {
			filter: '',
			stats: {
				total: 0,
				budget: {
					invested: 0,
					income: 0,
					profit_percent: 0,
				}
			}
		}
	},
	computed: {
		...mapGetters([
			'axios'
		]),
	},
	filters: {
		formatAmount(value) {
			return currencies.formatAmount(value);
		}
	},
	methods: {
		filterActiveClass(filter) {
			return {
				'link-element-active': this.filter === filter
			};
		},
		loadStats() {
			this.axios
				.get('promos/stats')
				.then(resp => resp.data)
				.then(stats => {
					console.log(stats);
					this.stats = stats;
				});
		},
	},
	mounted() {
		this.loadStats();
	},
	components: {
		AllPromosTable,
	}
}
</script>

<style scoped>

</style>
